petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatLMVMApplyJ0Fwd

Applies an approximation of the forward matrix-vector product with the initial Jacobian.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMApplyJ0Fwd(Mat B, Vec X, Vec Y)

### Input Parameters

| B | - An LMVM-type matrix
| X | - vector to multiply with J0

### Output Parameter

Y -resulting vector for the operation

### See Also

MatLMVMSetJ0(), MatLMVMSetJ0Scale(), MatLMVMSetJ0ScaleDiag(),
MatLMVMSetJ0PC(), MatLMVMSetJ0KSP(), MatLMVMApplyJ0Inv()

### Level

advanced

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages